JSONException (Grails 6.0.0)

Package: org.grails.web.json

## [Java] Class JSONException

- org.grails.web.json.JSONException

-     public class JSONException
      extends java.lang.RuntimeException

  The JSONException is thrown by the JSON.org classes then things are amiss.

  Authors:
    JSON.org
  Version:
    2

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.Throwable` | `cause` |
    `private static long` | `serialVersionUID` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JSONException (java.lang.String message)` Constructs a JSONException with an explanatory message.
    `JSONException (java.lang.Throwable t)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.Throwable` | `getCause()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.RuntimeException` | `java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getSuppressed(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#addSuppressed(java.lang.Throwable), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#wait(), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()`

- - ### Field Detail

    - #### private java.lang.Throwable cause

    - #### private static final long serialVersionUID

  - ### Constructor Detail

    - #### public JSONException(java.lang.String message)

      Constructs a JSONException with an explanatory message.

      Parameters:
        `message` - Detail about the reason for the exception.

    - #### public JSONException(java.lang.Throwable t)

  - ### Method Detail

    - #### @java.lang.Override public java.lang.Throwable getCause()